Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.yuxingwang.gantt
Class Config

    java.lang.Object
      com.yuxingwang.gantt.Config

    public class Config

extends java.lang.Object

The `Config` class represents the configurations for the `GanttChart`

Version:
  1.0
Author:
  Yuxing Wang

Field Summary
`static int` | `DAILY_PRE_REST_STEPS`
`static int` | `DAILY_SEQ_REST_STEPS`
`static int` | `DAILY_TOTAL_DAYS_OF_WEEK`
`static int` | `DEFAULT_BLANK_STEPS_TO_DEADLINE`
`static int` | `DEFAULT_BLANK_STEPS_TO_KICKOFF_TIME`
`static int` | `DEFAULT_DAILY_WORKING_STEPS`
`static int` | `DEFAULT_GANTT_CHART_ROW_HEIGHT`
`static int` | `DEFAULT_PROGRESS_BAR_HEIGHT`
`static boolean` | `DEFAULT_SHOW_TASK_INFO_BEHIND_TASK_BAR`
`static int` | `DEFAULT_TASK_BAR_HEIGHT`
`static int` | `DEFAULT_TIME_UNIT_WIDTH`
`static int[]` | `DEFAULT_WORKING_DAYS_SPAN_OF_WEEK`
`static int[]` | `DEFAULT_WORKING_HOURS_SPAN_OF_DAY`
`static int` | `HOURLY_PRE_REST_STEPS`
`static int` | `HOURLY_SEQ_REST_STEPS`

Constructor Summary
`Config()`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener l)` Add listener for property changes.
`int` | `getBlankStepsToDeadline()` Get blank steps to deadline.
`int` | `getBlankStepsToKickoffTime()` Get blank steps to kickoff time.
`java.awt.Color` | `getCurrentTimeBackColor()` Get backcolor of current time in Gantt chart time scale.
`java.awt.Color` | `getDeadlineBackColor()` Get back color of deadline in time axis.
`java.awt.Color` | `getGanttChartBackColor()` Get back color of Gantt chart.
`int` | `getGanttChartRowHeight()` Get row height of Gantt chart.
`java.awt.Color` | `getKickoffTimeBackColor()` Get back color of kickoff time in time axis.
`java.awt.Color` | `getProgressBarBackColor()` Get back color of progress bar.
`int` | `getProgressBarHeight()` Get progress bar height.
`java.awt.Color` | `getRestoutTimeBackColor()` Get back color of rest-out time in time axis.
`java.awt.Color` | `getSelectionColor()` Get color of selected tasks.
`java.awt.Color` | `getTaskBarBackColor()` Get back color of task bar.
`int` | `getTaskBarHeight()` Get task bar height.
`java.awt.Color` | `getTaskGroupBarBackColor()` Get back color of task group bar.
`java.awt.Color` | `getTaskTreeViewBackColor()` Get backcolor of task tree view.
`int` | `getTimeUnitWidth()` Get width of time unit in time axis.
`int[]` | `getWorkingDaysSpanOfWeek()` Get span of working days in week.
`int` | `getWorkingHoursOfDay()`
`int[]` | `getWorkingHoursSpanOfDay()` Get span of working hours of each day.
`java.awt.Color` | `getWorkingTimeBackColor()` Get back color of working time in time axis.
`boolean` | `isAllowAccurateTaskBar()`
`boolean` | `isFillInvalidArea()`
`boolean` | `isShowTaskInfoBehindTaskBar()` Get the value that whether showing task info behind task bar.
`void` | `setAllowAccurateTaskBar(boolean allowAccurateTaskBar)` Allow or disallow the task bar accurately displaying in Gantt chart, this feature is not available for TimeUnit.AllDay and TimeUnit.Hour.
`void` | `setBlankStepsToDeadline(int emptyStepsToDeadline)` Set blank steps to deadline.
`void` | `setBlankStepsToKickoffTime(int emptyStepsToKickoffTime)` Set blank steps to kickoff time.
`void` | `setCurrentTimeBackColor(java.awt.Color currentTimeBackColor)` Set backcolor of current time in Gantt chart time scale.
`void` | `setDeadlineBackColor(java.awt.Color deadlineBackColor)` Set back color of deadline in time axis.
`void` | `setFillInvalidArea(boolean fillInvalidArea)`
`void` | `setGanttChartBackColor(java.awt.Color ganttChartBackColor)` Set back color of Gantt chart.
`void` | `setGanttChartRowHeight(int ganttChartRowHeight)` Set row height of Gantt chart.
`void` | `setKickoffTimeBackColor(java.awt.Color kickoffTimeBackColor)` Set back color of kickoff time in time axis.
`void` | `setProgresBarHeight(int progressBarHeight)` Set progress bar height.
`void` | `setProgressBarBackColor(java.awt.Color progressBarBackColor)` Set back color of progress bar.
`void` | `setRestoutTimeBackColor(java.awt.Color restoutTimeBackColor)` Set back color of rest-out time in time axis.
`void` | `setSelectionColor(java.awt.Color selectionColor)` Set color of selected tasks.
`void` | `setShowTaskInfoBehindTaskBar(boolean showTaskInfoBehindTaskBar)` Set the value that whether showing task info behind task bar.
`void` | `setTaskBarBackColor(java.awt.Color taskBarBackColor)` Set back color of task bar.
`void` | `setTaskBarHeight(int taskBarHeight)` Set task bar height.
`void` | `setTaskGroupBarBackColor(java.awt.Color taskGroupBarBackColor)` Set back color of task group bar.
`void` | `setTaskTreeViewBackColor(java.awt.Color taskTreeViewBackColor)` Set backcolor of task tree view.
`void` | `setTimeUnitWidth(int timeUnitWidth)` Set width of time unit in time axis.
`void` | `setWorkingDaysSpanOfWeek(int[] workingDaysSpanOfWeek)` Span of working days of each week, the value is limited from 1(Sun) to 7(Sat).
`void` | `setWorkingHoursSpanOfDay(int[] workingHoursSpanOfDay)` Span of working hours of each day, the value is limited from 0 to 23.
`void` | `setWorkingTimeBackColor(java.awt.Color workingTimeBackColor)` Set back color of working time in time axis.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TIME_UNIT_WIDTH

    public static final int DEFAULT_TIME_UNIT_WIDTH

See Also:
  Constant Field Values

### DEFAULT_GANTT_CHART_ROW_HEIGHT

    public static final int DEFAULT_GANTT_CHART_ROW_HEIGHT

See Also:
  Constant Field Values

### DEFAULT_TASK_BAR_HEIGHT

    public static final int DEFAULT_TASK_BAR_HEIGHT

See Also:
  Constant Field Values

### DEFAULT_PROGRESS_BAR_HEIGHT

    public static final int DEFAULT_PROGRESS_BAR_HEIGHT

See Also:
  Constant Field Values

### DEFAULT_BLANK_STEPS_TO_KICKOFF_TIME

    public static final int DEFAULT_BLANK_STEPS_TO_KICKOFF_TIME

See Also:
  Constant Field Values

### DEFAULT_BLANK_STEPS_TO_DEADLINE

    public static final int DEFAULT_BLANK_STEPS_TO_DEADLINE

See Also:
  Constant Field Values

### DEFAULT_SHOW_TASK_INFO_BEHIND_TASK_BAR

    public static final boolean DEFAULT_SHOW_TASK_INFO_BEHIND_TASK_BAR

See Also:
  Constant Field Values

### HOURLY_PRE_REST_STEPS

    public static final int HOURLY_PRE_REST_STEPS

See Also:
  Constant Field Values

### HOURLY_SEQ_REST_STEPS

    public static final int HOURLY_SEQ_REST_STEPS

See Also:
  Constant Field Values

### DAILY_TOTAL_DAYS_OF_WEEK

    public static final int DAILY_TOTAL_DAYS_OF_WEEK

See Also:
  Constant Field Values

### DAILY_PRE_REST_STEPS

    public static final int DAILY_PRE_REST_STEPS

See Also:
  Constant Field Values

### DEFAULT_DAILY_WORKING_STEPS

    public static final int DEFAULT_DAILY_WORKING_STEPS

See Also:
  Constant Field Values

### DAILY_SEQ_REST_STEPS

    public static final int DAILY_SEQ_REST_STEPS

See Also:
  Constant Field Values

### DEFAULT_WORKING_DAYS_SPAN_OF_WEEK

    public static final int[] DEFAULT_WORKING_DAYS_SPAN_OF_WEEK

### DEFAULT_WORKING_HOURS_SPAN_OF_DAY

    public static final int[] DEFAULT_WORKING_HOURS_SPAN_OF_DAY

Constructor Detail

### Config

    public Config()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener l)

  Add listener for property changes.

  Parameters:
    `l` -

### getGanttChartBackColor

    public java.awt.Color getGanttChartBackColor()

  Get back color of Gantt chart.

### setGanttChartBackColor

    public void setGanttChartBackColor(java.awt.Color ganttChartBackColor)

  Set back color of Gantt chart.

  Parameters:
    `ganttChartBackColor` -

### getWorkingTimeBackColor

    public java.awt.Color getWorkingTimeBackColor()

  Get back color of working time in time axis.

  Returns:

### setWorkingTimeBackColor

    public void setWorkingTimeBackColor(java.awt.Color workingTimeBackColor)

  Set back color of working time in time axis.

### getRestoutTimeBackColor

    public java.awt.Color getRestoutTimeBackColor()

  Get back color of rest-out time in time axis.

  Returns:

### setRestoutTimeBackColor

    public void setRestoutTimeBackColor(java.awt.Color restoutTimeBackColor)

  Set back color of rest-out time in time axis.

### getKickoffTimeBackColor

    public java.awt.Color getKickoffTimeBackColor()

  Get back color of kickoff time in time axis.

  Returns:

### setKickoffTimeBackColor

    public void setKickoffTimeBackColor(java.awt.Color kickoffTimeBackColor)

  Set back color of kickoff time in time axis.

### getDeadlineBackColor

    public java.awt.Color getDeadlineBackColor()

  Get back color of deadline in time axis.

  Returns:

### setDeadlineBackColor

    public void setDeadlineBackColor(java.awt.Color deadlineBackColor)

  Set back color of deadline in time axis.

### getTaskGroupBarBackColor

    public java.awt.Color getTaskGroupBarBackColor()

  Get back color of task group bar.

  Returns:

### setTaskGroupBarBackColor

    public void setTaskGroupBarBackColor(java.awt.Color taskGroupBarBackColor)

  Set back color of task group bar.

### getTaskBarBackColor

    public java.awt.Color getTaskBarBackColor()

  Get back color of task bar.

  Returns:

### setTaskBarBackColor

    public void setTaskBarBackColor(java.awt.Color taskBarBackColor)

  Set back color of task bar.

### getProgressBarBackColor

    public java.awt.Color getProgressBarBackColor()

  Get back color of progress bar.

  Returns:

### setProgressBarBackColor

    public void setProgressBarBackColor(java.awt.Color progressBarBackColor)

  Set back color of progress bar.

### getTimeUnitWidth

    public int getTimeUnitWidth()

  Get width of time unit in time axis.

  Returns:

### setTimeUnitWidth

    public void setTimeUnitWidth(int timeUnitWidth)

  Set width of time unit in time axis.

### getGanttChartRowHeight

    public int getGanttChartRowHeight()

  Get row height of Gantt chart.

  Returns:

### setGanttChartRowHeight

    public void setGanttChartRowHeight(int ganttChartRowHeight)

  Set row height of Gantt chart.

### getTaskBarHeight

    public int getTaskBarHeight()

  Get task bar height.

  Returns:

### setTaskBarHeight

    public void setTaskBarHeight(int taskBarHeight)

  Set task bar height.

### getProgressBarHeight

    public int getProgressBarHeight()

  Get progress bar height.

  Returns:

### setProgresBarHeight

    public void setProgresBarHeight(int progressBarHeight)

  Set progress bar height.

### getBlankStepsToKickoffTime

    public int getBlankStepsToKickoffTime()

  Get blank steps to kickoff time.

  Returns:

### setBlankStepsToKickoffTime

    public void setBlankStepsToKickoffTime(int emptyStepsToKickoffTime)

  Set blank steps to kickoff time.

### getBlankStepsToDeadline

    public int getBlankStepsToDeadline()

  Get blank steps to deadline.

  Returns:

### setBlankStepsToDeadline

    public void setBlankStepsToDeadline(int emptyStepsToDeadline)

  Set blank steps to deadline.

### isShowTaskInfoBehindTaskBar

    public boolean isShowTaskInfoBehindTaskBar()

  Get the value that whether showing task info behind task bar.

  Returns:

### setShowTaskInfoBehindTaskBar

    public void setShowTaskInfoBehindTaskBar(boolean showTaskInfoBehindTaskBar)

  Set the value that whether showing task info behind task bar.

### getTaskTreeViewBackColor

    public java.awt.Color getTaskTreeViewBackColor()

  Get backcolor of task tree view.

  Returns:

### setTaskTreeViewBackColor

    public void setTaskTreeViewBackColor(java.awt.Color taskTreeViewBackColor)

  Set backcolor of task tree view.

  Parameters:
    `taskTreeViewBackColor` -

### getWorkingDaysSpanOfWeek

    public int[] getWorkingDaysSpanOfWeek()

  Get span of working days in week.

  Returns:

### setWorkingDaysSpanOfWeek

    public void setWorkingDaysSpanOfWeek(int[] workingDaysSpanOfWeek)

  Span of working days of each week, the value is limited from 1(Sun) to 7(Sat). You can use constants in Calendar. This parameter is for `TimeUnit.Day` only.
  e.g: int[]{2, 7} represents working days from Mon to Sat.

  Parameters:
    `workingDaysSpanOfWeek` -

### getWorkingHoursSpanOfDay

    public int[] getWorkingHoursSpanOfDay()

  Get span of working hours of each day.

  Returns:

### getWorkingHoursOfDay

    public int getWorkingHoursOfDay()

  Returns:

### setWorkingHoursSpanOfDay

    public void setWorkingHoursSpanOfDay(int[] workingHoursSpanOfDay)

  Span of working hours of each day, the value is limited from 0 to 23. This parameter is for `TimeUnit.Hour` only.
  e.g: int[]{9, 14} represents working hours from 9:00 to 14:00.

  Parameters:
    `workingHoursSpanOfDay` -

### getCurrentTimeBackColor

    public java.awt.Color getCurrentTimeBackColor()

  Get backcolor of current time in Gantt chart time scale.

  Returns:

### setCurrentTimeBackColor

    public void setCurrentTimeBackColor(java.awt.Color currentTimeBackColor)

  Set backcolor of current time in Gantt chart time scale.

  Parameters:
    `currentTimeBackColor` -

### isAllowAccurateTaskBar

    public boolean isAllowAccurateTaskBar()

  Returns:

### setAllowAccurateTaskBar

    public void setAllowAccurateTaskBar(boolean allowAccurateTaskBar)

  Allow or disallow the task bar accurately displaying in Gantt chart, this feature is not available for TimeUnit.AllDay and TimeUnit.Hour.

  Parameters:
    `allowAccurateTaskBar` -

### getSelectionColor

    public java.awt.Color getSelectionColor()

  Get color of selected tasks.

  Returns:

### setSelectionColor

    public void setSelectionColor(java.awt.Color selectionColor)

  Set color of selected tasks.

  Parameters:
    `selectionColor` -

### isFillInvalidArea

    public boolean isFillInvalidArea()

### setFillInvalidArea

    public void setFillInvalidArea(boolean fillInvalidArea)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD